Package org.eclipse.mat.snapshot.registry

# Class ClassSpecificNameResolverRegistry

java.lang.Object
org.eclipse.mat.snapshot.registry.ClassSpecificNameResolverRegistry

public final class ClassSpecificNameResolverRegistry extends Object
Registry for name resolvers which resolve the names for objects of specific classes (found in an snapshot), e.g. String (where the char[] is evaluated) or a specific class loader (where the appropriate field holding its name and thereby deployment unit is evaluated).

## Method Summary

Modifier and Type
Method
Description
`static ClassSpecificNameResolverRegistry`
`instance()`
`static void`
`registerResolver(String className, IClassSpecificNameResolver resolver)`
Deprecated.
Use default extension mechanism: just implement interface and register location via UI
`static String`
`resolve(IObject object)`
Resolve name of the given snapshot object or return null if it can't be resolved.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### instance

public static ClassSpecificNameResolverRegistry instance()

### registerResolver

@Deprecated public static void registerResolver(String className, IClassSpecificNameResolver resolver)
Deprecated.
Use default extension mechanism: just implement interface and register location via UI
Register class specific name resolver.

Parameters:
  `className` - class name for which the class specific name resolver should be used
  `resolver` - class specific name resolver

### resolve

public static String resolve(IObject object)
Resolve name of the given snapshot object or return null if it can't be resolved.

Parameters:
  `object` - snapshot object for which the name should be resolved
Returns:
  name of the given snapshot object or null if it can't be resolved